@echo off
@rem 
@rem ------------------------------------------------------------
@rem Company: Software- und Organisations-Service GmbH
@rem Author : Andreas Pschel <andreas.pueschel@sos-berlin.com>
@rem Author : Oliver Haufe <oliver.haufe@sos-berlin.com>
@rem Dated  : 2011-05-23
@rem Purpose: start FTP Processing
@rem ------------------------------------------------------------
SETLOCAL

set CLASSPATH_BASE=${INSTALL_PATH}
if not exist "%CLASSPATH_BASE%" (
  echo Classpath directory "%CLASSPATH_BASE%" does not exist.
  exit /B 1
)
if not defined JAVA_HOME set JAVA_HOME=${JAVA_HOME}
set JAVA_BIN=%JAVA_HOME%\bin\java.exe
if not exist "%JAVA_BIN%" set JAVA_BIN=java.exe

set CP=%CLASSPATH_BASE%\commons-net-2.2.jar;%CLASSPATH_BASE%\log4j-1.2.16.jar;%CLASSPATH_BASE%\mail.jar;%CLASSPATH_BASE%\trilead-ssh2-build211.jar;%CLASSPATH_BASE%\xalan.jar
set SOS_JARS=connection configuration JobSchedulerLocalization JSHelper marshalling net settings textprocessor util VirtualFileSystem xml

@rem classpath extends with versioned sos jars
for /D %%a in (%SOS_JARS%) do call :set_classpath %%a
goto start

:set_classpath
set SOS_JAR=
for /F "usebackq" %%b in (`dir /B "%CLASSPATH_BASE%\com.sos.%1-*-*-*.jar" 2^>nul`) do set SOS_JAR=;%CLASSPATH_BASE%\%%b
set CP=%CP%%SOS_JAR%
goto final

:start
"%JAVA_BIN%" -classpath "%CP:\=/%" sos.net.SOSFTPCommand %*

ENDLOCAL
:final